collect usual GC metrics for Blazegraph JVMs
Closed, ResolvedPublic

Description

We only collect free / max / total memory on Blazegraph. It might make sense to also collect the GC time / count and the usual heap / non heap memory metrics (see elasticsearch for an example). Activating GC logs would help as well.

Gehel created this task.Feb 28 2017, 5:21 PM
Restricted Application added projects: Wikidata, Discovery. · View Herald TranscriptFeb 28 2017, 5:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Gehel triaged this task as High priority.Feb 28 2017, 5:22 PM

Where can I see the ES example?

Change 340938 merged by jenkins-bot:
[wikidata/query/rdf] wdqs: activate GC logs

https://gerrit.wikimedia.org/r/340938

Mentioned in SAL (#wikimedia-operations) [2017-03-06T19:52:42Z] <gehel> restarting wdqs-updater on wdqs* servers to activate GC logs - T159248

Smalyshev closed this task as Resolved.Mar 6 2017, 8:42 PM

Change 340940 merged by Gehel:
[operations/puppet] wdqs: cleanup old GC logs

https://gerrit.wikimedia.org/r/340940